> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/api-docs/geo-endpoints-for-spatial-data-access/wms-get-raster-pictures-of-spatial-data-layers/19.-satellite-image-10-colors-visualization.md).

# 19. Satellite Image: 10 colors visualization

In certain scenarios, Users may desire a more detailed color scheme for vegetation indexes, aiming for meticulous control over map rendering. Addressing this need, the GeoPard API offers extensive customization capabilities specifically for NDVI, GNDVI, EVI2, MCARI1, and WDRVI indexes. Users can configure up to 10 color codes, each linked to specific vegetation index values, ensuring tailored visualizations to suit their preferences.

{% hint style="info" %}
Below, the symbols`[%3b  %3a  %23]` are URL encoded `[;  :  #]`.
{% endhint %}

### NDVI: Default 10 Colors vs. Custom 10 Colors

![](/files/nkKN90aVGf0Szr8eKnBU)   **VS**   ![](/files/mSacLYkjOMuDOhRXsyVb)

As a basis, the GeoMap with cropped NDVI is used. Then the URL parameter named `LAYERS` has to be amended from `sentinel2_ndvi_and_field` to `sentinel2_ndvi_10_and_field`. It activates support of 10 colors.

The default URL recieved from GeoPard API looks like *<https://api.geopard.tech/geo/map/reflect?TIME=2023-08-29T08%3A46%3A24.000Z\\&SRS=EPSG%3A900913\\&BBOX=\\>\<minX,minY,maxX,maxY>\&TRANSPARENT=true\&VIEWPARAMS=uuid%3A\<field\_uuid>\&HEIGHT=512&**LAYERS=sentinel2\_ndvi\_and\_field**\&geopardApiKey=\<GeoPardApiKey>*.

The modified URL with enabled 10 colors is *<https://api.geopard.tech/geo/map/reflect?TIME=2023-08-29T08%3A46%3A24.000Z\\&SRS=EPSG%3A900913\\&BBOX=\\>\<minX,minY,maxX,maxY>\&TRANSPARENT=true\&VIEWPARAMS=uuid%3A\<field\_uuid>\&HEIGHT=512&**LAYERS=sentinel2\_ndvi\_10\_and\_field**\&geopardApiKey=\<GeoPardApiKey>*.

The modified URL with enabled 10 colors and custom colors is *<https://api.geopard.tech/geo/map/reflect?TIME=2023-08-29T08%3A46%3A24.000Z\\&SRS=EPSG%3A900913\\&BBOX=\\>\<minX,minY,maxX,maxY>\&TRANSPARENT=true\&VIEWPARAMS=uuid%3A\<field\_uuid>\&HEIGHT=1024&**LAYERS=sentinel2\_ndvi\_10\_and\_field\&env=\<colors\_and\_values>**\&geopardApiKey=\<GeoPardApiKey>.*

All control over color codes happens via URL parameter named env. The complete sample of `env=<colors_and_values>` is: `env=c1%3a%239e0142%3bv1%3a0.15%3bc2%3a%23d53e4f%3bv2%3a0.2%3bc3%3a%23f46d43%3bv3%3a0.3%3bc4%3a%23fdae61%3bv4%3a0.4%3bc5%3a%23fee08b%3bv5%3a0.5%3bc6%3a%23e6f598%3bv6%3a0.6%3bc7%3a%23abdda4%3bv7%3a0.7%3bc8%3a%2366c2a5%3bv8%3a0.8%3bc9%3a%233288bd%3bv9%3a0.9%3bc10%3a%235e4fa2%3bv10%3a0.95`. Where `c1...c10` represents HEX color codes, `v1...v10` - appropriate linkage color codes to NDVI values.

### GNDVI: Default 10 Colors vs. Custom 10 Colors

![](/files/LzTQQl5OlHnZdIbYRv18)   **VS**   ![](/files/pprrE8PHar1Rt6QGF5Ew)

As a basis, the GeoMap with cropped GNDVI is used. Then the URL parameter named `LAYERS` has to be amended from `sentinel2_gndvi_and_field` to `sentinel2_gndvi_10_and_field`. It activates support of 10 colors.

The default URL recieved from GeoPard API looks like *<https://api.geopard.tech/geo/map/reflect?TIME=2023-08-29T08%3A46%3A24.000Z\\&SRS=EPSG%3A900913\\&BBOX=\\>\<minX,minY,maxX,maxY>\&TRANSPARENT=true\&VIEWPARAMS=uuid%3A\<field\_uuid>\&HEIGHT=512&**LAYERS=sentinel2\_gndvi\_and\_field**\&geopardApiKey=\<GeoPardApiKey>*.

The modified URL with enabled 10 colors is *<https://api.geopard.tech/geo/map/reflect?TIME=2023-08-29T08%3A46%3A24.000Z\\&SRS=EPSG%3A900913\\&BBOX=\\>\<minX,minY,maxX,maxY>\&TRANSPARENT=true\&VIEWPARAMS=uuid%3A\<field\_uuid>\&HEIGHT=512&**LAYERS=sentinel2\_gndvi\_10\_and\_field**\&geopardApiKey=\<GeoPardApiKey>*.

The modified URL with enabled 10 colors and custom colors is *<https://api.geopard.tech/geo/map/reflect?TIME=2023-08-29T08%3A46%3A24.000Z\\&SRS=EPSG%3A900913\\&BBOX=\\>\<minX,minY,maxX,maxY>\&TRANSPARENT=true\&VIEWPARAMS=uuid%3A\<field\_uuid>\&HEIGHT=1024&**LAYERS=sentinel2\_gndvi\_10\_and\_field\&env=\<colors\_and\_values>**\&geopardApiKey=\<GeoPardApiKey>.*

All control over color codes happens via URL parameter named env. The complete sample of `env=<colors_and_values>` is: `env=c1%3a%239e0142%3bv1%3a0.2%3bc2%3a%23d53e4f%3bv2%3a0.25%3bc3%3a%23f46d43%3bv3%3a0.3%3bc4%3a%23fdae61%3bv4%3a0.34%3bc5%3a%23fee08b%3bv5%3a0.4%3bc6%3a%23e6f598%3bv6%3a0.45%3bc7%3a%23abdda4%3bv7%3a0.5%3bc8%3a%2366c2a5%3bv8%3a0.55%3bc9%3a%233288bd%3bv9%3a0.6%3bc10%3a%235e4fa2%3bv10%3a0.65`. Where `c1...c10` represents HEX color codes, `v1...v10` - appropriate linkage color codes to GNDVI values.

### WDRVI: Default 10 Colors vs. Custom 10 Colors

![](/files/B2GcIZ1FSUkBJAghanoH)   **VS**   ![](/files/ZyxVEMIHcBr7KMuCRn8B)

As a basis, the GeoMap with cropped WDRVI is used. Then the URL parameter named `LAYERS` has to be amended from `sentinel2_wdrvi_and_field` to `sentinel2_wdrvi_10_and_field`. It activates support of 10 colors.

The default URL recieved from GeoPard API looks like *<https://api.geopard.tech/geo/map/reflect?TIME=2023-08-29T08%3A46%3A24.000Z\\&SRS=EPSG%3A900913\\&BBOX=\\>\<minX,minY,maxX,maxY>\&TRANSPARENT=true\&VIEWPARAMS=uuid%3A\<field\_uuid>\&HEIGHT=512&**LAYERS=sentinel2\_wdrvi\_and\_field**\&geopardApiKey=\<GeoPardApiKey>*.

The modified URL with enabled 10 colors is *<https://api.geopard.tech/geo/map/reflect?TIME=2023-08-29T08%3A46%3A24.000Z\\&SRS=EPSG%3A900913\\&BBOX=\\>\<minX,minY,maxX,maxY>\&TRANSPARENT=true\&VIEWPARAMS=uuid%3A\<field\_uuid>\&HEIGHT=512&**LAYERS=sentinel2\_wdrvi\_10\_and\_field**\&geopardApiKey=\<GeoPardApiKey>*.

The modified URL with enabled 10 colors and custom colors is *<https://api.geopard.tech/geo/map/reflect?TIME=2023-08-29T08%3A46%3A24.000Z\\&SRS=EPSG%3A900913\\&BBOX=\\>\<minX,minY,maxX,maxY>\&TRANSPARENT=true\&VIEWPARAMS=uuid%3A\<field\_uuid>\&HEIGHT=1024&**LAYERS=sentinel2\_wdrvi\_10\_and\_field\&env=\<colors\_and\_values>**\&geopardApiKey=\<GeoPardApiKey>.*

All control over color codes happens via URL parameter named env. The complete sample of `env=<colors_and_values>` is: `env=c1%3a%239e0142%3bv1%3a-0.3%3bc2%3a%23d53e4f%3bv2%3a-0.2%3bc3%3a%23f46d43%3bv3%3a-0.1%3bc4%3a%23fdae61%3bv4%3a0.0%3bc5%3a%23fee08b%3bv5%3a0.1%3bc6%3a%23e6f598%3bv6%3a0.15%3bc7%3a%23abdda4%3bv7%3a0.20%3bc8%3a%2366c2a5%3bv8%3a0.25%3bc9%3a%233288bd%3bv9%3a0.3%3bc10%3a%235e4fa2%3bv10%3a0.35`. Where `c1...c10` represents HEX color codes, `v1...v10` - appropriate linkage color codes to WDRVI values.

### MCARI1: Default 10 Colors vs. Custom 10 Colors

![](/files/DVV5TE3ABZ11XuHlgHaL)   **VS**   ![](/files/6cvcs2hn1gQ1IXkigETz)

As a basis, the GeoMap with cropped MCARI1 is used. Then the URL parameter named `LAYERS` has to be amended from `sentinel2_mcari1_and_field` to `sentinel2_mcari1_10_and_field`. It activates support of 10 colors.

The default URL recieved from GeoPard API looks like *<https://api.geopard.tech/geo/map/reflect?TIME=2023-08-29T08%3A46%3A24.000Z\\&SRS=EPSG%3A900913\\&BBOX=\\>\<minX,minY,maxX,maxY>\&TRANSPARENT=true\&VIEWPARAMS=uuid%3A\<field\_uuid>\&HEIGHT=512&**LAYERS=sentinel2\_mcari1\_and\_field**\&geopardApiKey=\<GeoPardApiKey>*.

The modified URL with enabled 10 colors is *<https://api.geopard.tech/geo/map/reflect?TIME=2023-08-29T08%3A46%3A24.000Z\\&SRS=EPSG%3A900913\\&BBOX=\\>\<minX,minY,maxX,maxY>\&TRANSPARENT=true\&VIEWPARAMS=uuid%3A\<field\_uuid>\&HEIGHT=512&**LAYERS=sentinel2\_mcari1\_10\_and\_field**\&geopardApiKey=\<GeoPardApiKey>*.

The modified URL with enabled 10 colors and custom colors is *<https://api.geopard.tech/geo/map/reflect?TIME=2023-08-29T08%3A46%3A24.000Z\\&SRS=EPSG%3A900913\\&BBOX=\\>\<minX,minY,maxX,maxY>\&TRANSPARENT=true\&VIEWPARAMS=uuid%3A\<field\_uuid>\&HEIGHT=1024&**LAYERS=sentinel2\_mcari1\_10\_and\_field\&env=\<colors\_and\_values>**\&geopardApiKey=\<GeoPardApiKey>.*

All control over color codes happens via URL parameter named env. The complete sample of `env=<colors_and_values>` is: `env=c1%3a%239e0142%3bv1%3a2000%3bc2%3a%23d53e4f%3bv2%3a3000%3bc3%3a%23f46d43%3bv3%3a3500%3bc4%3a%23fdae61%3bv4%3a4000%3bc5%3a%23fee08b%3bv5%3a4500%3bc6%3a%23e6f598%3bv6%3a5000%3bc7%3a%23abdda4%3bv7%3a5500%3bc8%3a%2366c2a5%3bv8%3a6000%3bc9%3a%233288bd%3bv9%3a6500%3bc10%3a%235e4fa2%3bv10%3a7000`. Where `c1...c10` represents HEX color codes, `v1...v10` - appropriate linkage color codes to MCARI1 values.

### EVI2: Default 10 Colors vs. Custom 10 Colors

![](/files/1ezGLipIJDgF5ghKWiB8)   **VS**   ![](/files/ykFdFXJxhe4Yc6ccBbRk)

As a basis, the GeoMap with cropped EVI2 is used. Then the URL parameter named `LAYERS` has to be amended from `sentinel2_evi2_and_field` to `sentinel2_evi2_10_and_field`. It activates support of 10 colors.

The default URL recieved from GeoPard API looks like *<https://api.geopard.tech/geo/map/reflect?TIME=2023-08-29T08%3A46%3A24.000Z\\&SRS=EPSG%3A900913\\&BBOX=\\>\<minX,minY,maxX,maxY>\&TRANSPARENT=true\&VIEWPARAMS=uuid%3A\<field\_uuid>\&HEIGHT=512&**LAYERS=sentinel2\_evi2\_and\_field**\&geopardApiKey=\<GeoPardApiKey>*.

The modified URL with enabled 10 colors is *<https://api.geopard.tech/geo/map/reflect?TIME=2023-08-29T08%3A46%3A24.000Z\\&SRS=EPSG%3A900913\\&BBOX=\\>\<minX,minY,maxX,maxY>\&TRANSPARENT=true\&VIEWPARAMS=uuid%3A\<field\_uuid>\&HEIGHT=512&**LAYERS=sentinel2\_evi2\_10\_and\_field**\&geopardApiKey=\<GeoPardApiKey>*.

The modified URL with enabled 10 colors and custom colors is *<https://api.geopard.tech/geo/map/reflect?TIME=2023-08-29T08%3A46%3A24.000Z\\&SRS=EPSG%3A900913\\&BBOX=\\>\<minX,minY,maxX,maxY>\&TRANSPARENT=true\&VIEWPARAMS=uuid%3A\<field\_uuid>\&HEIGHT=1024&**LAYERS=sentinel2\_evi2\_10\_and\_field\&env=\<colors\_and\_values>**\&geopardApiKey=\<GeoPardApiKey>.*

All control over color codes happens via URL parameter named env. The complete sample of `env=<colors_and_values>` is: `env=c1%3a%239e0142%3bv1%3a0.5%3bc2%3a%23d53e4f%3bv2%3a0.7%3bc3%3a%23f46d43%3bv3%3a0.9%3bc4%3a%23fdae61%3bv4%3a1.1%3bc5%3a%23fee08b%3bv5%3a1.3%3bc6%3a%23e6f598%3bv6%3a1.5%3bc7%3a%23abdda4%3bv7%3a1.7%3bc8%3a%2366c2a5%3bv8%3a1.9%3bc9%3a%233288bd%3bv9%3a2.1%3bc10%3a%235e4fa2%3bv10%3a2.3`. Where `c1...c10` represents HEX color codes, `v1...v10` - appropriate linkage color codes to EVI2 values.<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/api-docs/geo-endpoints-for-spatial-data-access/wms-get-raster-pictures-of-spatial-data-layers/19.-satellite-image-10-colors-visualization.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
